de.esprit.appsuite.gui

## Interface ApplicationToolWindow<C extends ApplicationContext>

- All Superinterfaces:
    ApplicationObject<C>, Applieable, Cancellable, Clearable, Closeable, Dumpable, SimpleLogSupport, ToolWindow
  All Known Implementing Classes:
    ABOCreateDialog, ABOEditDialog, ABOFetchDialog, ABOFindDialog, AboutEspritDialog, AbstractABODialog, AbstractCheckBoxOptionDialog, AbstractClientRecordDialog, AbstractFieldDialog, AbstractGroupManagerDialog, AbstractLoginFrame, AbstractNameInputDialog, AbstractPathEditDialog, AbstractRecordDialog, AbstractRecordFrame, AbstractUserManagerDialog, ActivityMonitorDialog, AppLaunchPrefsDialog, ArchiveConfigDialog, BatchTaskConfigDialog, BatchTaskManagerDialog, CalendarDateDialog, CalendarTimestampDialog, ChangePasswordForUserDialog, ChatToolFrame, ChoosePermissionDialog, ClientActivityMonitorDialog, ClientMessageSendDialog, ClientShutdownDialog, ClientToolDialog, ClientToolFrame, ConfirmDialog, ConnectionLostDialog, CpuLoadConfigDialog, CreateDirectoryDialog, CreateFileDialog, DataSourceListDialog, DBRecordListFrame, DBRecordTableDialog, DBRecordTableFrame, DefaultClientRecordDialog, DefaultFieldEditor, DefaultLoginDialog, DefaultRecordCreateDialog, DefaultRecordEditDialog, DirectoryPathEditor, DumpDialog, EmailConfigDialog, ErrorDialog, EspritClientLoginFrame, FileNameInputDialog, FilePathEditor, FileViewerDialog, FindStringDialog, GroupAssignDialog, GroupCreateDialog, GroupEditDialog, GroupFormDialog, GroupManagerDialog, InfoDialog, InputFileChooserDialog, ListRowDumpDialog, LoadMeterDialog, LogConfigDialog, LogfileListDialog, MemoryMonitorDialog, MessageDialog, ObserveTaskDialog, OutputDirectoryChooserDialog, OutputFileChooserDialog, PasswordChangeDialog, PermissionManagerDialog, RadioButtonOptionDialog, RecordTypeChooserDialog, RemoteTaskFrame, RemoteTextEditorDialog, RenamePathDialog, RootDirectoryChooserDialog, ServerEventRegisterDialog, ServerMemoryMonitorDialog, ServerShutdownDialog, SessionManagerDialog, SetDefaultPasswordDialog, TableEditFrame, TableRowDumpDialog, TankEditDialog, TaskManagerDialog, TaskOptionDialog, TextEditorDialog, TextEditorFrame, TextViewerDialog, TextViewerFrame, ToolDialog, ToolFrame, UserCreateDialog, UserEditDialog, UserFormDialog, UserManagerDialog, WarningDialog, WorkflowManagerDialog, WorkflowMonitorDialog

      public interface ApplicationToolWindow<C extends ApplicationContext>
      extends ToolWindow, Applieable, Cancellable, Clearable, SimpleLogSupport, ApplicationObject<C>

  All applieable windows (Dialogs or Frames) should implement this interface
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JRootPane` | `getRootPane()`
    `void` | `setRelocateOnPopup(boolean isRelocateOnPopup)`

    - ### Methods inherited from interface de.esprit.common.gui.ToolWindow

      `getLocation, getMinimumHeight, getMinimumWidth, getSize, getTitle, getToolkit, isPacked, pack, popup, setLocation, setLocationRelativeTo, setMinimumSize, setPreferredSize, shiftLocation`

    - ### Methods inherited from interface de.esprit.common.gui.comp.Closeable

      `close`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.common.gui.comp.Applieable

      `apply`

    - ### Methods inherited from interface de.esprit.common.gui.comp.Cancellable

      `cancel, wasCancelled`

    - ### Methods inherited from interface de.esprit.common.type.Clearable

      `clear`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

- - ### Method Detail

    - #### setRelocateOnPopup

          void setRelocateOnPopup(boolean isRelocateOnPopup)

    - #### getRootPane

          javax.swing.JRootPane getRootPane()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.